org.springframework.batch.core.jsr.job.flow

## Class JsrFlowExecutor

- java.lang.Object
- - org.springframework.batch.core.job.flow.JobFlowExecutor
  - - org.springframework.batch.core.jsr.job.flow.JsrFlowExecutor

- All Implemented Interfaces:
    FlowExecutor

      public class JsrFlowExecutor
      extends JobFlowExecutor

  JSR-352 specific `JobFlowExecutor`. Unlike the regular `JobFlowExecutor`, this extension does not promote an `ExitStatus` from a step to the job level if a custom exit status has been set on the job.
  Since:
    3.0
  Author:
    Michael Minella

- - ### Field Summary

    - ### Fields inherited from class org.springframework.batch.core.job.flow.JobFlowExecutor

      `exitStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsrFlowExecutor(JobRepository jobRepository, StepHandler stepHandler, JobExecution execution)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExitStatus(java.lang.String code)`
    `void` | `updateJobExecutionStatus(FlowExecutionStatus status)` Handle any status changes that might be needed in the `JobExecution`.

    - ### Methods inherited from class org.springframework.batch.core.job.flow.JobFlowExecutor

      `abandonStepExecution, close, executeStep, findBatchStatus, getJobExecution, getStepExecution, isRestart`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsrFlowExecutor

          public JsrFlowExecutor(JobRepository jobRepository,
                                 StepHandler stepHandler,
                                 JobExecution execution)

  - ### Method Detail

    - #### addExitStatus

          public void addExitStatus(java.lang.String code)

      Specified by:
        `addExitStatus` in interface `FlowExecutor`
      Overrides:
        `addExitStatus` in class `JobFlowExecutor`
      Parameters:
        `code` - the label for the exit status when a flow or sub-flow ends

    - #### updateJobExecutionStatus

          public void updateJobExecutionStatus(FlowExecutionStatus status)

      Description copied from interface: `FlowExecutor`
      Handle any status changes that might be needed in the `JobExecution`.
      Specified by:
        `updateJobExecutionStatus` in interface `FlowExecutor`
      Overrides:
        `updateJobExecutionStatus` in class `JobFlowExecutor`
      Parameters:
        `status` - status to update the `JobExecution` to.